%define upstream_name    Data-Validation
%define upstream_version 0.25.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Null) >= 1.90.0
BuildRequires: perl(Email::Valid) >= 1.196.0
BuildRequires: perl(Exporter::Tiny) >= 0.42.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Tiny) >= 0.56.0
BuildRequires: perl(List::Util) >= 1.420.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.5
BuildRequires: perl(Unexpected)
BuildRequires: perl(namespace::autoclean) >= 0.260.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
This module implements filters and common constraints in builtin
methods and uses a factory pattern to implement an extensible list of
external filters and constraints

Data values are filtered first before testing against the constraints.
The filtered data values are returned if they conform to the
constraints, otherwise an exception is thrown

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.25.1-3pclos2017
- rebuild against updates

